## org.apache.hadoop.io
Class LongWritable.DecreasingComparator

    java.lang.Object
      org.apache.hadoop.io.WritableComparator
          org.apache.hadoop.io.LongWritable.Comparator
              org.apache.hadoop.io.LongWritable.DecreasingComparator

All Implemented Interfaces:
  Comparator, RawComparator

Enclosing class:
  LongWritable

    public static class LongWritable.DecreasingComparator

extends LongWritable.Comparator

A decreasing Comparator optimized for LongWritable.

Constructor Summary
`LongWritable.DecreasingComparator()`

Method Summary
`int` `compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)` Optimization hook.
`int` `compare(WritableComparable a, WritableComparable b)` Compare two WritableComparables.

Methods inherited from class org.apache.hadoop.io.WritableComparator
`compare, compareBytes, define, get, getKeyClass, hashBytes, hashBytes, newKey, readDouble, readFloat, readInt, readLong, readUnsignedShort, readVInt, readVLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### LongWritable.DecreasingComparator

    public LongWritable.DecreasingComparator()

Method Detail

### compare

    public int compare(WritableComparable a,
                       WritableComparable b)

  Description copied from class: `WritableComparator`
  Compare two WritableComparables.

  The default implementation uses the natural ordering, calling `Comparable.compareTo(Object)`.

  Overrides:
    `compare` in class `WritableComparator`

### compare

    public int compare(byte[] b1,
                       int s1,
                       int l1,
                       byte[] b2,
                       int s2,
                       int l2)

  Description copied from class: `WritableComparator`
  Optimization hook. Override this to make SequenceFile.Sorter's scream.

  The default implementation reads the data into two `WritableComparable`s (using `Writable.readFields(DataInput)`, then calls `WritableComparator.compare(WritableComparable,WritableComparable)`.

  Specified by:
    `compare` in interface `RawComparator`
  Overrides:
    `compare` in class `LongWritable.Comparator`

Copyright © 2009 The Apache Software Foundation